### Constructor

# AppStreamCompose DirectoryUnit new

#### Declaration [src]

    AscDirectoryUnit*
    asc_directory_unit_new (
      const gchar* root_dir
    )

#### Description [src]

Creates a new `AscDirectoryUnit`.

#### Parameters

`root_dir`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AscDirectoryUnit`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.